public static interface FtpEndpointBuilderFactory.FtpBuilders
| Modifier and Type | Method and Description |
|---|---|
default FtpEndpointBuilderFactory.FtpEndpointBuilder |
ftp(String path)
FTP (camel-ftp)
Upload and download files to/from FTP servers.
|
default FtpEndpointBuilderFactory.FtpEndpointBuilder |
ftp(String componentName,
String path)
FTP (camel-ftp)
Upload and download files to/from FTP servers.
|
default FtpEndpointBuilderFactory.FtpEndpointBuilder ftp(String path)
ftp:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorypath - host:port/directoryNamedefault FtpEndpointBuilderFactory.FtpEndpointBuilder ftp(String componentName, String path)
ftp:host:port/directoryName
Path parameter: host (required)
Hostname of the FTP server
Path parameter: port
Port of the FTP server
Path parameter: directoryName
The starting directorycomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/directoryNameApache Camel